Bug 1341641 - Review Request: pytest-runner - Invoke py.test as distutils command with dependency resolution
Summary: Review Request: pytest-runner - Invoke py.test as distutils command with depe...
Keywords:
Status: CLOSED DUPLICATE of bug 1364725
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Othman Madjoudj
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1355810
Blocks: 1302479
TreeView+ depends on / blocked
 
Reported: 2016-06-01 11:55 UTC by Matěj Cepl
Modified: 2018-04-11 14:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-06 15:53:40 UTC
Type: ---
athmanem: fedora-review?


Attachments (Terms of Use)

Description Matěj Cepl 2016-06-01 11:55:17 UTC
Spec URL: http://mcepl.fedorapeople.org/tmp//pytest-runner.spec
SRPM URL: http://mcepl.fedorapeople.org/tmp//pytest-runner-2.8-1.fc25.src.rpm

Description:
Setup scripts can use pytest-runner to add setup.py test support for pytest
runner.

Comment 1 Matěj Cepl 2016-06-01 11:56:22 UTC
Scratch build in Rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=14337225

Comment 2 Othman Madjoudj 2016-07-11 21:46:03 UTC
Hi Matej,

Could you please look into the following points:

1. Use macros provided in the guidelines instead of using:  Provides:  python3-%{name} or Provides:  python2-%{name} , it'll make switching to py3 as default easier (I guess)

%{?python_provide:%python_provide python2-%{srcname}}

<and>

%{?python_provide:%python_provide python3-%{srcname}}

2. The current python naming convention is: python-<PyPI name>, the package should be renamed python-pytest-runner
   You can use "dnf search pytest" to look into other packages names


3. (not a blocker): I you want to reduce custom macros, you can use %{summary} macros instead of %{sum}, eg:


Name:               pytest-runner
Version:            2.8
Release:            1%{?dist}
Summary:            Invoke py.test as distutils command with dependency resolution

[...]

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

--
[*] https://fedoraproject.org/wiki/Packaging:Python

Comment 3 Matěj Cepl 2016-07-12 15:06:38 UTC
Unfortunately all my packaging activities are broken now by bug 1355810.

Comment 4 Igor Gnatenko 2016-08-06 15:53:40 UTC
(In reply to Matěj Cepl from comment #3)
> Unfortunately all my packaging activities are broken now by bug 1355810.
all your packaging activities are broken by your head now.


Given current package requires almost complete rewriting and proper package review request already available, so closing this as duplicate of that one.

*** This bug has been marked as a duplicate of bug 1364725 ***


Note You need to log in before you can comment on or make changes to this bug.